#!/bin/sh

BASE=$(dirname $0)
cd $BASE
git pull
if [ ! -d env ];
then
    python3 -m venv env
fi

source env/bin/activate
pip3 install -U -r requirements.txt
gunicorn -D --bind 0.0.0.0:8080 --pid /run/webapp.pid wsgi:app
